<?php

namespace Drupal\nostr_simple_publish\Services;

interface NostrStorageInterface {

  /**
   * Stores a Nostr event ID for an entity.
   *
   * @param int $entity_id
   * @param string $entity_type_id
   * @param string $event_id
   */
  public function storeEventId(int $entity_id, string $entity_type_id, string $event_id);

  /**
   * Get the Nostr Event ID for an entity.
   *
   * @param int $entity_id
   * @param string $entity_type_id
   *
   * @return string|FALSE
   */
  public function getEventId(int $entity_id, string $entity_type_id): string|FALSE;

}
